Example of usage
POST/rest/appointment/customers
Example of usage :
curl -i -u user:password -H "Content-type: application/json" -d '{"firstName":"Carl", "lastName":"Carlson", "cardNumber":"1234", "properties":{"email":"someone@example.com", "phoneNumber":"555-1234"}}' http://orchestra-ip:orchestra-port/rest/appointment/customers/
Example of usage that also sets consent identifier :
curl -i -u user:password -H "Content-type: application/json" -d '{"firstName":"Carl", "lastName":"Carlson", "cardNumber":"1234", "properties":{"email":"someone@example.com", "phoneNumber":"555-1234"},"consentIdentifier":"AnIdentifier"}' http://orchestra-ip:orchestra-port/rest/appointment/customers/
Example of usage that also sets consent identifier and retention policy:
curl -i -u user:password -H "Content-type: application/json" -d '{"firstName":"Carl", "lastName":"Carlson", "cardNumber":"1234", "properties":{"email":"someone@example.com", "phoneNumber":"555-1234"},"consentIdentifier":"AnIdentifier","retentionPolicy":"MyCustomPolicy"}' http://orchestra-ip:orchestra-port/rest/appointment/customers/
Request
Responses
- 201
A Json object of Customer